Package com.smartgwt.logicalstructure.widgets

# Class CanvasLogicalStructure

java.lang.Object
com.smartgwt.logicalstructure.core.LogicalStructureObject
com.smartgwt.logicalstructure.widgets.BaseWidgetLogicalStructure
com.smartgwt.logicalstructure.widgets.CanvasLogicalStructure

Direct Known Subclasses:
  `AceEditorLogicalStructure`, `BrowserPluginLogicalStructure`, `CalendarLogicalStructure`, `DetailViewerLogicalStructure`, `DrawKnobLogicalStructure`, `DrawPaneLogicalStructure`, `DynamicFormLogicalStructure`, `EdgedCanvasLogicalStructure`, `EditPaneLogicalStructure`, `HTMLFlowLogicalStructure`, `LayoutLogicalStructure`, `LayoutSpacerLogicalStructure`, `PrintCanvasLogicalStructure`, `RangeSliderLogicalStructure`, `RowRangeDisplayLogicalStructure`, `SliderLogicalStructure`, `StatefulCanvasLogicalStructure`, `TabSetLogicalStructure`, `TileLayoutLogicalStructure`

public class CanvasLogicalStructure extends BaseWidgetLogicalStructure

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `accessKey`
  `String`
  `adaptiveHeightPriority`
  `String`
  `adaptiveWidthPriority`
  `String`
  `alwaysManageFocusNavigation`
  `String`
  `alwaysShowScrollbars`
  `String`
  `animateAcceleration`
  `String`
  `animateFadeTime`
  `String`
  `animateHideAcceleration`
  `String`
  `animateHideTime`
  `String`
  `animateMoveAcceleration`
  `String`
  `animateMoveTime`
  `String`
  `animateRectAcceleration`
  `String`
  `animateRectTime`
  `String`
  `animateResizeAcceleration`
  `String`
  `animateResizeLayoutMode`
  `String`
  `animateResizeTime`
  `String`
  `animateScrollAcceleration`
  `String`
  `animateScrollTime`
  `String`
  `animateShowAcceleration`
  `String`
  `animateShowTime`
  `String`
  `animateTime`
  `String`
  `appImgDir`
  `String`
  `ariaRole`
  `String`
  `autoMaskComponents`
  `String`
  `autoParent`
  `String`
  `autoPopulateData`
  `String[]`
  `autoRevertStyles`
  `String`
  `autoShowParent`
  `String`
  `backgroundColor`
  `String`
  `backgroundImage`
  `String`
  `backgroundPosition`
  `String`
  `backgroundRepeat`
  `String`
  `border`
  `String`
  `borderRadiusAsString`
  `String`
  `canAcceptDrop`
  `String`
  `canAdaptHeight`
  `String`
  `canAdaptWidth`
  `String`
  `canDrag`
  `String`
  `canDragReposition`
  `String`
  `canDragResize`
  `String`
  `canDragScroll`
  `String`
  `canDrop`
  `String`
  `canDropBefore`
  `String`
  `canDropContent`
  `String`
  `canDropFiles`
  `String`
  `canFocus`
  `String`
  `canHover`
  `String`
  `canSelectText`
  `CanvasItem`
  `canvasItem`
  `Canvas[]`
  `childrenAsCanvasArray`
  `String[]`
  `childrenAsStringArrayArray`
  `String`
  `childrenResizeSnapAlign`
  `String`
  `childrenSnapAlign`
  `String`
  `childrenSnapCenterAlign`
  `String`
  `childrenSnapEdgeAlign`
  `String`
  `childrenSnapResizeToGrid`
  `String`
  `childrenSnapToGrid`
  `String`
  `contents`
  `String`
  `contentsComponentDefaults`
  `Menu`
  `contextMenu`
  `String`
  `correctZoomOverflow`
  `String`
  `cursor`
  `DataContext`
  `dataContext`
  `String`
  `dataPath`
  `String`
  `defaultHeight`
  `String`
  `defaultWidth`
  `String`
  `deferActionConversion`
  `String`
  `definingProperty`
  `String[]`
  `definingPropertyNameOptions`
  `String`
  `destroyed`
  `String`
  `destroying`
  `String`
  `disabled`
  `String`
  `disabledCursor`
  `String`
  `disableTouchScrollingForDrag`
  `String`
  `doubleClickDelay`
  `String`
  `dragAppearance`
  `String`
  `dragIntersectStyle`
  `String`
  `dragMaskType`
  `String`
  `dragMaxHeight`
  `String`
  `dragMaxWidth`
  `String`
  `dragMinHeight`
  `String`
  `dragMinWidth`
  `String`
  `dragOpacity`
  `String`
  `dragRepositionAppearance`
  `String`
  `dragRepositionCursor`
  `String`
  `dragResizeAppearance`
  `String`
  `dragScrollDelay`
  `String`
  `dragStartDistance`
  `Canvas`
  `dragTargetAsCanvas`
  `String`
  `dragTargetAsString`
  `String`
  `dragType`
  `Canvas`
  `dropTargetAsCanvas`
  `String`
  `dropTargetAsString`
  `String[]`
  `dropTypesAsStringArrayArray`
  `String`
  `dynamicContents`
  `String`
  `edgeBackgroundColor`
  `String`
  `edgeCenterBackgroundColor`
  `String`
  `edgeImage`
  `String`
  `edgeMarginSize`
  `String`
  `edgeOffset`
  `String`
  `edgeOpacity`
  `String`
  `edgeShowCenter`
  `String`
  `edgeSize`
  `EditNode`
  `editNode`
  `String`
  `editProxyConstructor`
  `AdvancedCriteria`
  `enableWhen`
  `String`
  `endLine`
  `String`
  `extraSpace`
  `String`
  `floatingScrollbars`
  `String`
  `forwardSVGeventsToObject`
  `String`
  `groupBorderCSS`
  `String`
  `groupLabelBackgroundColor`
  `String`
  `groupLabelStyleName`
  `String`
  `groupPadding`
  `String`
  `groupTitle`
  `String`
  `heightAsString`
  `String`
  `hideUsingDisplayNone`
  `String`
  `hoverAlign`
  `String`
  `hoverAutoDestroy`
  `String`
  `hoverAutoFitMaxWidthAsString`
  `String`
  `hoverAutoFitWidth`
  `String`
  `hoverDelay`
  `String`
  `hoverFocusKey`
  `String`
  `hoverHeight`
  `String`
  `hoverMoveWithMouse`
  `String`
  `hoverOpacity`
  `String`
  `hoverPersist`
  `String`
  `hoverScreen`
  `String`
  `hoverStyle`
  `String`
  `hoverVAlign`
  `String`
  `hoverWidth`
  `String`
  `hoverWrap`
  `String`
  `htmlElementAsString`
  `String`
  `htmlPosition`
  `String`
  `ID`
  `String`
  `isGroup`
  `String`
  `isPrinting`
  `String`
  `isRuleScope`
  `String`
  `isSnapAlignCandidate`
  `String`
  `keepInParentRectAsString`
  `String`
  `layoutAlignAsString`
  `String`
  `leaveGroupLabelSpace`
  `String`
  `leavePageSpace`
  `String`
  `leftAsString`
  `String`
  `locateByIDOnly`
  `String`
  `locateChildrenBy`
  `String`
  `locateChildrenType`
  `String`
  `locatePeersBy`
  `String`
  `locatePeersType`
  `String`
  `locatorName`
  `String`
  `margin`
  `Canvas`
  `masterElement`
  `String`
  `matchElement`
  `String`
  `matchElementHeight`
  `String`
  `matchElementWidth`
  `String`
  `maxHeight`
  `String`
  `maxWidth`
  `String`
  `maxZoomOverflowError`
  `String`
  `menuConstructorAsString`
  `String`
  `minHeight`
  `String`
  `minNonEdgeSize`
  `String`
  `minWidth`
  `String`
  `momentumScrollMinSpeed`
  `String`
  `mouseStillDownDelay`
  `String`
  `mouseStillDownInitialDelay`
  `String`
  `name`
  `String`
  `nativeAutoHideScrollbars`
  `String`
  `noDoubleClicks`
  `String`
  `noDropCursor`
  `String`
  `opacity`
  `String`
  `overflow`
  `String`
  `padding`
  `Canvas`
  `parentCanvasAsCanvas`
  `String`
  `parentCanvasAsString`
  `Canvas`
  `parentElementAsCanvas`
  `String`
  `parentElementAsString`
  `Canvas[]`
  `peers`
  `String`
  `pendingMarkerStyle`
  `String`
  `pendingMarkerVisible`
  `String`
  `percentBox`
  `Canvas`
  `percentSource`
  `String`
  `persistentMatchElement`
  `PointerSettings`
  `pointerSettings`
  `String`
  `pointerTargetAsString`
  `String`
  `position`
  `String`
  `printChildrenAbsolutelyPositioned`
  `String`
  `printStyleName`
  `String`
  `prompt`
  `String[]`
  `proportionalResizeModifiers`
  `String`
  `proportionalResizing`
  `String`
  `receiveScrollbarEvents`
  `String`
  `redrawOnResize`
  `String`
  `resizeBarTarget`
  `String[]`
  `resizeFrom`
  `String`
  `ruleScope`
  `String`
  `scrollbarSize`
  `String`
  `shadowColor`
  `String`
  `shadowDepth`
  `String`
  `shadowHOffset`
  `String`
  `shadowImage`
  `String`
  `shadowOffset`
  `String`
  `shadowSoftness`
  `String`
  `shadowSpread`
  `String`
  `shadowVOffset`
  `String`
  `shareCriteria`
  `String`
  `shouldPrint`
  `String`
  `showCustomScrollbars`
  `String`
  `showDragShadow`
  `String`
  `showEdges`
  `String`
  `showFocusOutline`
  `String`
  `showHover`
  `String`
  `showHoverComponents`
  `String`
  `showPointer`
  `String`
  `showResizeBar`
  `String`
  `showShadow`
  `String`
  `showSnapGrid`
  `String`
  `shrinkElementOnHide`
  `String`
  `singleDiv`
  `String`
  `sizeMayChangeOnRedraw`
  `String`
  `skinImgDir`
  `Canvas[]`
  `snapAlignCandidates`
  `String`
  `snapAlignCenterLineStyle`
  `String`
  `snapAlignEdgeLineStyle`
  `String`
  `snapAxis`
  `String`
  `snapEdge`
  `String`
  `snapGridStyle`
  `String`
  `snapHDirection`
  `String`
  `snapHGap`
  `String`
  `snapOffsetLeft`
  `String`
  `snapOffsetTop`
  `String`
  `snapOnDrop`
  `String`
  `snapResizeToAlign`
  `String`
  `snapResizeToGrid`
  `String`
  `snapTo`
  `String`
  `snapToAlign`
  `String`
  `snapToCenterAlign`
  `String`
  `snapToEdgeAlign`
  `String`
  `snapToGrid`
  `String`
  `snapVDirection`
  `String`
  `snapVGap`
  `String`
  `startLine`
  `String`
  `styleName`
  `String`
  `suppressRedraw`
  `String`
  `tabIndex`
  `DataContext`
  `testDataContext`
  `String`
  `topAsString`
  `Canvas`
  `topElement`
  `String`
  `updateTabPositionOnDraw`
  `String`
  `updateTabPositionOnReparent`
  `String`
  `useBackMask`
  `String`
  `useCSSShadow`
  `String`
  `useDataContextCriteria`
  `String`
  `useDragMask`
  `String`
  `useGeneratedStyles`
  `String`
  `useImageForSVG`
  `String`
  `useNativeDrag`
  `String`
  `useOpacityFilter`
  `String`
  `useTouchScrolling`
  `String`
  `valuesManagerAsString`
  `ValuesManager`
  `valuesManagerAsValuesManager`
  `String`
  `visibility`
  `AdvancedCriteria`
  `visibleWhen`
  `String`
  `widthAsString`
  `Process[]`
  `workflows`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.BaseWidgetLogicalStructure

  `autoDraw`

  ### Fields inherited from class com.smartgwt.logicalstructure.core.LogicalStructureObject

  `logicalStructureErrors, scClassName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CanvasLogicalStructure()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### accessKey

    public String accessKey

  - ### adaptiveHeightPriority

    public String adaptiveHeightPriority

  - ### adaptiveWidthPriority

    public String adaptiveWidthPriority

  - ### alwaysManageFocusNavigation

    public String alwaysManageFocusNavigation

  - ### alwaysShowScrollbars

    public String alwaysShowScrollbars

  - ### animateAcceleration

    public String animateAcceleration

  - ### animateFadeTime

    public String animateFadeTime

  - ### animateHideAcceleration

    public String animateHideAcceleration

  - ### animateHideTime

    public String animateHideTime

  - ### animateMoveAcceleration

    public String animateMoveAcceleration

  - ### animateMoveTime

    public String animateMoveTime

  - ### animateRectAcceleration

    public String animateRectAcceleration

  - ### animateRectTime

    public String animateRectTime

  - ### animateResizeAcceleration

    public String animateResizeAcceleration

  - ### animateResizeLayoutMode

    public String animateResizeLayoutMode

  - ### animateResizeTime

    public String animateResizeTime

  - ### animateScrollAcceleration

    public String animateScrollAcceleration

  - ### animateScrollTime

    public String animateScrollTime

  - ### animateShowAcceleration

    public String animateShowAcceleration

  - ### animateShowTime

    public String animateShowTime

  - ### animateTime

    public String animateTime

  - ### appImgDir

    public String appImgDir

  - ### ariaRole

    public String ariaRole

  - ### autoMaskComponents

    public String autoMaskComponents

  - ### autoParent

    public String autoParent

  - ### autoPopulateData

    public String autoPopulateData

  - ### autoRevertStyles

    public String[] autoRevertStyles

  - ### autoShowParent

    public String autoShowParent

  - ### backgroundColor

    public String backgroundColor

  - ### backgroundImage

    public String backgroundImage

  - ### backgroundPosition

    public String backgroundPosition

  - ### backgroundRepeat

    public String backgroundRepeat

  - ### border

    public String border

  - ### borderRadiusAsString

    public String borderRadiusAsString

  - ### canAcceptDrop

    public String canAcceptDrop

  - ### canAdaptHeight

    public String canAdaptHeight

  - ### canAdaptWidth

    public String canAdaptWidth

  - ### canDrag

    public String canDrag

  - ### canDragReposition

    public String canDragReposition

  - ### canDragResize

    public String canDragResize

  - ### canDragScroll

    public String canDragScroll

  - ### canDrop

    public String canDrop

  - ### canDropBefore

    public String canDropBefore

  - ### canDropContent

    public String canDropContent

  - ### canDropFiles

    public String canDropFiles

  - ### canFocus

    public String canFocus

  - ### canHover

    public String canHover

  - ### canSelectText

    public String canSelectText

  - ### canvasItem

    public CanvasItem canvasItem

  - ### childrenAsCanvasArray

    public Canvas[] childrenAsCanvasArray

  - ### childrenAsStringArrayArray

    public String[] childrenAsStringArrayArray

  - ### childrenResizeSnapAlign

    public String childrenResizeSnapAlign

  - ### childrenSnapAlign

    public String childrenSnapAlign

  - ### childrenSnapCenterAlign

    public String childrenSnapCenterAlign

  - ### childrenSnapEdgeAlign

    public String childrenSnapEdgeAlign

  - ### childrenSnapResizeToGrid

    public String childrenSnapResizeToGrid

  - ### childrenSnapToGrid

    public String childrenSnapToGrid

  - ### contents

    public String contents

  - ### contentsComponentDefaults

    public String contentsComponentDefaults

  - ### contextMenu

    public Menu contextMenu

  - ### correctZoomOverflow

    public String correctZoomOverflow

  - ### cursor

    public String cursor

  - ### dataContext

    public DataContext dataContext

  - ### dataPath

    public String dataPath

  - ### defaultHeight

    public String defaultHeight

  - ### defaultWidth

    public String defaultWidth

  - ### deferActionConversion

    public String deferActionConversion

  - ### definingProperty

    public String definingProperty

  - ### definingPropertyNameOptions

    public String[] definingPropertyNameOptions

  - ### destroyed

    public String destroyed

  - ### destroying

    public String destroying

  - ### disabled

    public String disabled

  - ### disabledCursor

    public String disabledCursor

  - ### disableTouchScrollingForDrag

    public String disableTouchScrollingForDrag

  - ### doubleClickDelay

    public String doubleClickDelay

  - ### dragAppearance

    public String dragAppearance

  - ### dragIntersectStyle

    public String dragIntersectStyle

  - ### dragMaskType

    public String dragMaskType

  - ### dragMaxHeight

    public String dragMaxHeight

  - ### dragMaxWidth

    public String dragMaxWidth

  - ### dragMinHeight

    public String dragMinHeight

  - ### dragMinWidth

    public String dragMinWidth

  - ### dragOpacity

    public String dragOpacity

  - ### dragRepositionAppearance

    public String dragRepositionAppearance

  - ### dragRepositionCursor

    public String dragRepositionCursor

  - ### dragResizeAppearance

    public String dragResizeAppearance

  - ### dragScrollDelay

    public String dragScrollDelay

  - ### dragStartDistance

    public String dragStartDistance

  - ### dragTargetAsCanvas

    public Canvas dragTargetAsCanvas

  - ### dragTargetAsString

    public String dragTargetAsString

  - ### dragType

    public String dragType

  - ### dropTargetAsCanvas

    public Canvas dropTargetAsCanvas

  - ### dropTargetAsString

    public String dropTargetAsString

  - ### dropTypesAsStringArrayArray

    public String[] dropTypesAsStringArrayArray

  - ### dynamicContents

    public String dynamicContents

  - ### edgeBackgroundColor

    public String edgeBackgroundColor

  - ### edgeCenterBackgroundColor

    public String edgeCenterBackgroundColor

  - ### edgeImage

    public String edgeImage

  - ### edgeMarginSize

    public String edgeMarginSize

  - ### edgeOffset

    public String edgeOffset

  - ### edgeOpacity

    public String edgeOpacity

  - ### edgeShowCenter

    public String edgeShowCenter

  - ### edgeSize

    public String edgeSize

  - ### editNode

    public EditNode editNode

  - ### editProxyConstructor

    public String editProxyConstructor

  - ### enableWhen

    public AdvancedCriteria enableWhen

  - ### endLine

    public String endLine

  - ### extraSpace

    public String extraSpace

  - ### floatingScrollbars

    public String floatingScrollbars

  - ### forwardSVGeventsToObject

    public String forwardSVGeventsToObject

  - ### groupBorderCSS

    public String groupBorderCSS

  - ### groupLabelBackgroundColor

    public String groupLabelBackgroundColor

  - ### groupLabelStyleName

    public String groupLabelStyleName

  - ### groupPadding

    public String groupPadding

  - ### groupTitle

    public String groupTitle

  - ### heightAsString

    public String heightAsString

  - ### hideUsingDisplayNone

    public String hideUsingDisplayNone

  - ### hoverAlign

    public String hoverAlign

  - ### hoverAutoDestroy

    public String hoverAutoDestroy

  - ### hoverAutoFitMaxWidthAsString

    public String hoverAutoFitMaxWidthAsString

  - ### hoverAutoFitWidth

    public String hoverAutoFitWidth

  - ### hoverDelay

    public String hoverDelay

  - ### hoverFocusKey

    public String hoverFocusKey

  - ### hoverHeight

    public String hoverHeight

  - ### hoverMoveWithMouse

    public String hoverMoveWithMouse

  - ### hoverOpacity

    public String hoverOpacity

  - ### hoverPersist

    public String hoverPersist

  - ### hoverScreen

    public String hoverScreen

  - ### hoverStyle

    public String hoverStyle

  - ### hoverVAlign

    public String hoverVAlign

  - ### hoverWidth

    public String hoverWidth

  - ### hoverWrap

    public String hoverWrap

  - ### htmlElementAsString

    public String htmlElementAsString

  - ### htmlPosition

    public String htmlPosition

  - ### ID

    public String ID

  - ### isGroup

    public String isGroup

  - ### isPrinting

    public String isPrinting

  - ### isRuleScope

    public String isRuleScope

  - ### isSnapAlignCandidate

    public String isSnapAlignCandidate

  - ### keepInParentRectAsString

    public String keepInParentRectAsString

  - ### layoutAlignAsString

    public String layoutAlignAsString

  - ### leaveGroupLabelSpace

    public String leaveGroupLabelSpace

  - ### leavePageSpace

    public String leavePageSpace

  - ### leftAsString

    public String leftAsString

  - ### locateByIDOnly

    public String locateByIDOnly

  - ### locateChildrenBy

    public String locateChildrenBy

  - ### locateChildrenType

    public String locateChildrenType

  - ### locatePeersBy

    public String locatePeersBy

  - ### locatePeersType

    public String locatePeersType

  - ### locatorName

    public String locatorName

  - ### margin

    public String margin

  - ### masterElement

    public Canvas masterElement

  - ### matchElement

    public String matchElement

  - ### matchElementHeight

    public String matchElementHeight

  - ### matchElementWidth

    public String matchElementWidth

  - ### maxHeight

    public String maxHeight

  - ### maxWidth

    public String maxWidth

  - ### maxZoomOverflowError

    public String maxZoomOverflowError

  - ### menuConstructorAsString

    public String menuConstructorAsString

  - ### minHeight

    public String minHeight

  - ### minNonEdgeSize

    public String minNonEdgeSize

  - ### minWidth

    public String minWidth

  - ### momentumScrollMinSpeed

    public String momentumScrollMinSpeed

  - ### mouseStillDownDelay

    public String mouseStillDownDelay

  - ### mouseStillDownInitialDelay

    public String mouseStillDownInitialDelay

  - ### name

    public String name

  - ### nativeAutoHideScrollbars

    public String nativeAutoHideScrollbars

  - ### noDoubleClicks

    public String noDoubleClicks

  - ### noDropCursor

    public String noDropCursor

  - ### opacity

    public String opacity

  - ### overflow

    public String overflow

  - ### padding

    public String padding

  - ### parentCanvasAsCanvas

    public Canvas parentCanvasAsCanvas

  - ### parentCanvasAsString

    public String parentCanvasAsString

  - ### parentElementAsCanvas

    public Canvas parentElementAsCanvas

  - ### parentElementAsString

    public String parentElementAsString

  - ### peers

    public Canvas[] peers

  - ### pendingMarkerStyle

    public String pendingMarkerStyle

  - ### pendingMarkerVisible

    public String pendingMarkerVisible

  - ### percentBox

    public String percentBox

  - ### percentSource

    public Canvas percentSource

  - ### persistentMatchElement

    public String persistentMatchElement

  - ### pointerSettings

    public PointerSettings pointerSettings

  - ### pointerTargetAsString

    public String pointerTargetAsString

  - ### position

    public String position

  - ### printChildrenAbsolutelyPositioned

    public String printChildrenAbsolutelyPositioned

  - ### printStyleName

    public String printStyleName

  - ### prompt

    public String prompt

  - ### proportionalResizeModifiers

    public String[] proportionalResizeModifiers

  - ### proportionalResizing

    public String proportionalResizing

  - ### receiveScrollbarEvents

    public String receiveScrollbarEvents

  - ### redrawOnResize

    public String redrawOnResize

  - ### resizeBarTarget

    public String resizeBarTarget

  - ### resizeFrom

    public String[] resizeFrom

  - ### ruleScope

    public String ruleScope

  - ### scrollbarSize

    public String scrollbarSize

  - ### shadowColor

    public String shadowColor

  - ### shadowDepth

    public String shadowDepth

  - ### shadowHOffset

    public String shadowHOffset

  - ### shadowImage

    public String shadowImage

  - ### shadowOffset

    public String shadowOffset

  - ### shadowSoftness

    public String shadowSoftness

  - ### shadowSpread

    public String shadowSpread

  - ### shadowVOffset

    public String shadowVOffset

  - ### shareCriteria

    public String shareCriteria

  - ### shouldPrint

    public String shouldPrint

  - ### showCustomScrollbars

    public String showCustomScrollbars

  - ### showDragShadow

    public String showDragShadow

  - ### showEdges

    public String showEdges

  - ### showFocusOutline

    public String showFocusOutline

  - ### showHover

    public String showHover

  - ### showHoverComponents

    public String showHoverComponents

  - ### showPointer

    public String showPointer

  - ### showResizeBar

    public String showResizeBar

  - ### showShadow

    public String showShadow

  - ### showSnapGrid

    public String showSnapGrid

  - ### shrinkElementOnHide

    public String shrinkElementOnHide

  - ### singleDiv

    public String singleDiv

  - ### sizeMayChangeOnRedraw

    public String sizeMayChangeOnRedraw

  - ### skinImgDir

    public String skinImgDir

  - ### snapAlignCandidates

    public Canvas[] snapAlignCandidates

  - ### snapAlignCenterLineStyle

    public String snapAlignCenterLineStyle

  - ### snapAlignEdgeLineStyle

    public String snapAlignEdgeLineStyle

  - ### snapAxis

    public String snapAxis

  - ### snapEdge

    public String snapEdge

  - ### snapGridStyle

    public String snapGridStyle

  - ### snapHDirection

    public String snapHDirection

  - ### snapHGap

    public String snapHGap

  - ### snapOffsetLeft

    public String snapOffsetLeft

  - ### snapOffsetTop

    public String snapOffsetTop

  - ### snapOnDrop

    public String snapOnDrop

  - ### snapResizeToAlign

    public String snapResizeToAlign

  - ### snapResizeToGrid

    public String snapResizeToGrid

  - ### snapTo

    public String snapTo

  - ### snapToAlign

    public String snapToAlign

  - ### snapToCenterAlign

    public String snapToCenterAlign

  - ### snapToEdgeAlign

    public String snapToEdgeAlign

  - ### snapToGrid

    public String snapToGrid

  - ### snapVDirection

    public String snapVDirection

  - ### snapVGap

    public String snapVGap

  - ### startLine

    public String startLine

  - ### styleName

    public String styleName

  - ### suppressRedraw

    public String suppressRedraw

  - ### tabIndex

    public String tabIndex

  - ### testDataContext

    public DataContext testDataContext

  - ### topAsString

    public String topAsString

  - ### topElement

    public Canvas topElement

  - ### updateTabPositionOnDraw

    public String updateTabPositionOnDraw

  - ### updateTabPositionOnReparent

    public String updateTabPositionOnReparent

  - ### useBackMask

    public String useBackMask

  - ### useCSSShadow

    public String useCSSShadow

  - ### useDataContextCriteria

    public String useDataContextCriteria

  - ### useDragMask

    public String useDragMask

  - ### useGeneratedStyles

    public String useGeneratedStyles

  - ### useImageForSVG

    public String useImageForSVG

  - ### useNativeDrag

    public String useNativeDrag

  - ### useOpacityFilter

    public String useOpacityFilter

  - ### useTouchScrolling

    public String useTouchScrolling

  - ### valuesManagerAsValuesManager

    public ValuesManager valuesManagerAsValuesManager

  - ### valuesManagerAsString

    public String valuesManagerAsString

  - ### visibility

    public String visibility

  - ### visibleWhen

    public AdvancedCriteria visibleWhen

  - ### widthAsString

    public String widthAsString

  - ### workflows

    public Process[] workflows

- ## Constructor Details

  - ### CanvasLogicalStructure

    public CanvasLogicalStructure()